cURL
curl --request POST \
--url https://api.maesn.dev/accounting/bills/{billId}/lineItems \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "6733a433-9662-4a40-8e36-e38ebda94fe1",
"accountNumber": "200",
"deferredEndDate": "2021-06-01T00:00:00Z",
"deferredStartDate": "2021-01-01T00:00:00Z",
"description": "SEOUL Guest Chair, red",
"dimensions": [
{
"name": "C1",
"categoryName": "CostCenter"
}
],
"itemId": "4f3a2hf4-5b8e-4d1b-8a0c-9f6e7d2f3e4b",
"itemName": "RED CHAIR",
"quantity": 1,
"taxCode": "03",
"taxRatePercentage": 19,
"totalDiscountAmount": 10,
"totalDiscountPercentage": 10,
"totalGrossAmount": 109,
"totalNetAmount": 100,
"totalTaxAmount": 19,
"unitAmount": 100,
"unitDiscountAmount": 10,
"unitDiscountPercentage": 10,
"unitName": "PIECE"
}
'import requests
url = "https://api.maesn.dev/accounting/bills/{billId}/lineItems"
payload = {
"accountId": "6733a433-9662-4a40-8e36-e38ebda94fe1",
"accountNumber": "200",
"deferredEndDate": "2021-06-01T00:00:00Z",
"deferredStartDate": "2021-01-01T00:00:00Z",
"description": "SEOUL Guest Chair, red",
"dimensions": [
{
"name": "C1",
"categoryName": "CostCenter"
}
],
"itemId": "4f3a2hf4-5b8e-4d1b-8a0c-9f6e7d2f3e4b",
"itemName": "RED CHAIR",
"quantity": 1,
"taxCode": "03",
"taxRatePercentage": 19,
"totalDiscountAmount": 10,
"totalDiscountPercentage": 10,
"totalGrossAmount": 109,
"totalNetAmount": 100,
"totalTaxAmount": 19,
"unitAmount": 100,
"unitDiscountAmount": 10,
"unitDiscountPercentage": 10,
"unitName": "PIECE"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '6733a433-9662-4a40-8e36-e38ebda94fe1',
accountNumber: '200',
deferredEndDate: '2021-06-01T00:00:00Z',
deferredStartDate: '2021-01-01T00:00:00Z',
description: 'SEOUL Guest Chair, red',
dimensions: [{name: 'C1', categoryName: 'CostCenter'}],
itemId: '4f3a2hf4-5b8e-4d1b-8a0c-9f6e7d2f3e4b',
itemName: 'RED CHAIR',
quantity: 1,
taxCode: '03',
taxRatePercentage: 19,
totalDiscountAmount: 10,
totalDiscountPercentage: 10,
totalGrossAmount: 109,
totalNetAmount: 100,
totalTaxAmount: 19,
unitAmount: 100,
unitDiscountAmount: 10,
unitDiscountPercentage: 10,
unitName: 'PIECE'
})
};
fetch('https://api.maesn.dev/accounting/bills/{billId}/lineItems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": {
"id": "987a2b3c-4d5e-6f7g-8h9i-0j1k2l3m4n5o",
"accountId": "6733a433-9662-4a40-8e36-e38ebda94fe1",
"accountNumber": "200",
"createdDate": "2021-01-01T00:00:00Z",
"deferredEndDate": "2021-06-01T00:00:00Z",
"deferredStartDate": "2021-01-01T00:00:00Z",
"description": "SEOUL Guest Chair, red",
"dimensions": [
{
"name": "C1",
"categoryName": "CostCenter"
}
],
"itemId": "4f3a2hf4-5b8e-4d1b-8a0c-9f6e7d2f3e4b",
"itemName": "RED CHAIR",
"quantity": 1,
"taxCode": "03",
"taxRatePercentage": 19,
"totalDiscountAmount": 10,
"totalDiscountPercentage": 10,
"totalGrossAmount": 109,
"totalNetAmount": 100,
"totalTaxAmount": 19,
"unitAmount": 100,
"unitDiscountAmount": 10,
"unitDiscountPercentage": 10,
"unitName": "PIECE",
"updatedDate": "2021-01-01T00:00:00Z"
}
}Bill Lines
Create bill line
POST
/
accounting
/
bills
/
{billId}
/
lineItems
cURL
Field support per integration

Exact Online
Exact Online
Please ensure the query parameter companyId is accurately filled with the division code.
You can obtain this values by using the
GET Companies endpoints available under the Authentication section.Date to identify the start of the range for deferred costs. Use together with
deferredStartDate.Date to identify the start of the range for deferred costs. Use together with
deferredEndDate.The total amount for the item excluding tax.
When the
taxCode is provided and is of type INCLUSIVE, then the totalNetAmount will be treated as a gross amount (i.e., including tax).Path Parameters
Query Parameters
Body
application/json
Example:
"6733a433-9662-4a40-8e36-e38ebda94fe1"
Example:
"200"
Example:
"2021-06-01T00:00:00Z"
Example:
"2021-01-01T00:00:00Z"
Example:
"SEOUL Guest Chair, red"
Show child attributes
Show child attributes
Example:
"4f3a2hf4-5b8e-4d1b-8a0c-9f6e7d2f3e4b"
Example:
"RED CHAIR"
Example:
1
Example:
"03"
Example:
19
Example:
10
Example:
10
Example:
109
Example:
100
Example:
19
Example:
100
Example:
10
Example:
10
Example:
"PIECE"
Last modified on July 9, 2026
Was this page helpful?
⌘I